Bug 437057 - Server crash (sig 11) (exiting virt-manager)
Server crash (sig 11) (exiting virt-manager)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 18:55 EDT by Tom London
Modified: 2009-07-14 14:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:07:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log of crash (when running virt-manager?) (38.29 KB, text/plain)
2008-03-12 17:24 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2008-03-11 18:55:22 EDT
Description of problem:
Got this "freeze" attempting to exit virt-manager. System is Thinkpad X60
running compiz.


Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x79) [0x80d5de9]
1: [0x110400]
2: /usr/lib/xorg/modules/extensions//libglx.so(__glXDeassociateContext+0x19)
[0x14e429]
3: /usr/lib/xorg/modules/extensions//libglx.so(__glXContextDestroy+0x23) [0x14a623]
4: /usr/lib/xorg/modules/extensions//libglx.so [0x185108]
5: /usr/lib/xorg/modules/extensions//libglx.so(__glXFreeContext+0x89) [0x14cc79]
6: /usr/lib/xorg/modules/extensions//libglx.so [0x14ccc7]
7: /usr/bin/Xorg(FreeClientResources+0xe6) [0x806d636]
8: /usr/bin/Xorg(CloseDownClient+0x6f) [0x807f9bf]
9: /usr/bin/Xorg(Dispatch+0x1e0) [0x8085830]
10: /usr/bin/Xorg(main+0x47d) [0x806b31d]
11: /lib/libc.so.6(__libc_start_main+0xe6) [0x983606]
12: /usr/bin/Xorg(FontFileCompleteXLFD+0x22d) [0x806a701]

Fatal server error:
Caught signal 11.  Server aborting

(II) ThinkPad Extra Buttons: Close
(II) Macintosh mouse button emulation: Close
(II) TPPS/2 IBM TrackPoint: Close
(II) AT Translated Set 2 keyboard: Close
(II) Microsoft Microsoft? Digital Media Keyboard: Close
(II) Microsoft Microsoft? Digital Media Keyboard: Close
(II) Microsoft Basic Optical Mouse: Close
(II) AIGLX: Suspending AIGLX clients for VT switch


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-1.20080307.fc9.i386

How reproducible:
Not sure....

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Adam Jackson 2008-03-12 16:47:55 EDT
What video hardware is this with?
Comment 2 Tom London 2008-03-12 16:57:06 EDT
Ooops.  Sorry for the sparse report.

Thinkpad X60: 
[root@localhost packages]# lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML
Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3
(rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4
(rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(rev 02)
00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA AHCI
Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
02:00.0 Ethernet controller: Intel Corporation 82573L Gigabit Ethernet Controller
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b4)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 09)
15:00.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host
Adapter (rev 18)
[root@localhost packages]# 

Running with intel driver.

Damn.... should have attached Xorg.0.log.  Sorry.  Don't think I still have that
one. 

Need me to try to reproduce?
Comment 3 Tom London 2008-03-12 17:24:37 EDT
Created attachment 297846 [details]
Xorg.0.log of crash (when running virt-manager?)

I recreated the crash and this time, I attach the Xorg.0.log for it......
Comment 4 Tom London 2008-03-12 18:02:32 EDT
Forgot to include current versions of things...:

[root@localhost ~]# rpm -q xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.4.99.901-1.20080307.fc9.i386
[root@localhost ~]# rpm -q xorg-x11-drv-i810
xorg-x11-drv-i810-2.2.1-10.fc9.i386
[root@localhost ~]# 
Comment 5 Adam Jackson 2008-03-18 13:29:17 EDT
Kristian, does this look familiar?
Comment 6 Bug Zapper 2008-05-14 01:57:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Donald Cohen 2008-06-11 13:05:35 EDT
I don't know whether this is the same problem, but since the symptom is similar
I file it here.  Let me know if it should be refiled (or feel free to do so).
I have a newly installed FC9.  Suspend seemed to work but unsuspend left me with
a blank screen.  So I tried uncommenting /etc.acpi/events/video.conf
  event=video.*
  action=/usr/sbin/vbetool dpms on
Now I see some action from unsuspend but not correct - I see the screen for a
few seconds, then it goes blank and alternates between different shades of black.
/var/log/gdm/:0-greeter.log :
=====
** (process:2198): DEBUG: Greeter session pid=2198 display=:0
xauthority=/var/run/gdm/auth-cookie-XXNVA4CU-for-gdm
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a
timestamp of 0 for 0x80002d (Login Wind)
Window manager warning: meta_window_activate called by a pager with a 0
timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a
timestamp of 0 for 0x80002d (Login Wind)
Window manager warning: meta_window_activate called by a pager with a 0
timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a
timestamp of 0 for 0x80002d (Login Wind)
Window manager warning: meta_window_activate called by a pager with a 0
timestamp; the pager needs to be fixed.
====
/var/log/gdm/:1.log :
====
 ...(II) RADEON(0): Set up textured video
(II) RADEON(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x79) [0x80d60c9]
1: [0x110400]
2: /usr/lib/xorg/modules/extensions//libextmod.so(BigReqExtensionInit+0x49)
[0x11e1b9]
3: /usr/bin/Xorg(InitExtensions+0x8a) [0x80e56da]
4: /usr/bin/Xorg(main+0x2ad) [0x806b1ed]
5: /lib/libc.so.6(__libc_start_main+0xe6) [0x2ec5d6]
6: /usr/bin/Xorg(FontFileCompleteXLFD+0x22d) [0x806a7a1]

Fatal server error:
Caught signal 11.  Server aborting

(II) RADEON(0): RADEONRestoreMemMapRegisters() : 
(II) RADEON(0):   MC_FB_LOCATION   : 0x0fff0c00 0x0fff0c00
(II) RADEON(0):   MC_AGP_LOCATION  : 0x003f0000
finished PLL2
finished PLL1
Entering Restore TV
Restore TV PLL
Restore TVHV
Restore TV Restarts
Restore Timing Tables
Restore TV standard
Leaving Restore TV
====
Similar stuff in several other versions, :2.log, :3.log, ...
Of course, I had to reboot to see this, so :0.log has no such messages.

This is a toshiba satellite L25 S1216.

Comment 8 Bug Zapper 2009-06-09 19:44:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 14:07:45 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.